commit:     3f6fb9f29533f90cdc15d631d9677df9803984d3
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 28 06:30:33 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 28 06:30:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f6fb9f2

dev-python/python-efl: add 1.26.0

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/python-efl/Manifest                 |  1 +
 dev-python/python-efl/python-efl-1.26.0.ebuild | 75 ++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-python/python-efl/Manifest b/dev-python/python-efl/Manifest
index 85e4d62721f9..a3778d79aa83 100644
--- a/dev-python/python-efl/Manifest
+++ b/dev-python/python-efl/Manifest
@@ -1 +1,2 @@
 DIST python-efl-1.25.0.tar.xz 9543920 BLAKE2B 
fc2b951ade2fc2b7c32dd78a84800bc9f225499ee9d8431034b378c86e423181d918aba2c4d056974f3aa2df9cfb9c7b3dcf1c366362387048cde182c0b3128a
 SHA512 
23ed29add25cd2639e9eb144f22c5e2809b8634389f7ab5c4b7ebc19302fde4ebb0fe8c41d7b10923e658676c4dfbb8670fda16675682fd376258beecbc3d9c3
+DIST python-efl-1.26.0.tar.xz 9547648 BLAKE2B 
b6fd9e86695569291b416140c92316aeb4e3bd42d12fc3fd656b86fe7fae364720c8457c53828dc00838a68620fa604426d86c5d4bce02e94eaa82a4fed120ee
 SHA512 
fe552a65d7d4d3e3664310e6bb7189c883c64361a64a2def04e8d14df3e5a03211e2992333f1c05288b96f1d99f20ad4ac848baea91d43db280dad81315e2473

diff --git a/dev-python/python-efl/python-efl-1.26.0.ebuild 
b/dev-python/python-efl/python-efl-1.26.0.ebuild
new file mode 100644
index 000000000000..aca401d2ac5b
--- /dev/null
+++ b/dev-python/python-efl/python-efl-1.26.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Python bindings for Enlightenment Foundation Libraries"
+HOMEPAGE="https://github.com/DaveMDS/python-efl 
https://docs.enlightenment.org/python-efl/current/";
+SRC_URI="https://download.enlightenment.org/rel/bindings/python/${P}.tar.xz";
+
+LICENSE="|| ( GPL-3 LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="=dev-libs/efl-$(ver_cut 1-2)*
+       dev-python/dbus-python[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]
+       virtual/pkgconfig
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               media-gfx/graphviz
+       )"
+
+PATCHES=( "${FILESDIR}/python-efl-1.25-clang-crosscompile.patch" )
+
+src_prepare() {
+       default
+
+       # Tries to download a file under /tmp
+       rm tests/ecore/test_09_file_download.py || die
+
+       # Tries to use that file which failed to download
+       rm tests/ecore/test_10_file_monitor.py || die
+
+       # Needs an active internet connection
+       rm tests/ecore/test_11_con.py || die
+
+       # Test fails because of deleted files above
+       sed -i 's/>= 13/>= 10/g' tests/ecore/test_08_exe.py || die
+
+       # Make tests verbose
+       sed -i 's:verbosity=1:verbosity=3:' tests/00_run_all_tests.py || die
+
+       # Disable any optimization on x86, #704260
+       if use x86; then
+               filter-flags -O?
+               append-cflags -O0
+       fi
+}
+
+python_compile_all() {
+       if use doc ; then
+               esetup.py build_doc --build-dir "${S}"/build/doc/
+       fi
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       cd tests/ || die
+       ${EPYTHON} 00_run_all_tests.py --verbose || die "Tests failed with 
${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( ./build/doc/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to